## ros-jazzy-mvsim 0.9.4

=== debian/changelog ===
ros-jazzy-mvsim (0.9.4-1bookworm) bookworm; urgency=high

  * Better detection of "in collision" flag.
  * Update to clang-format-14
  * Upgrade Joystick API so it works correctly with an arbitrary number of axes
  * ROS nodes: add collision state publishers for each vehicle
  * remove dead code
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 07 May 2024 22:00:00 -0000

ros-jazzy-mvsim (0.9.3-1bookworm) bookworm; urgency=high

  * Fix usage of (new explicit) TPoint3D constructors
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 23 Apr 2024 22:00:00 -0000

ros-jazzy-mvsim (0.9.2-1bookworm) bookworm; urgency=high

  * BUG FIX: 3D lidars should not 'see' XYZ corners of wheels
  * BUG FIX: gridmaps were published at a too high rate in the ROS 2 node
  * remove dead code
  * update header version
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 20 Mar 2024 23:00:00 -0000

ros-jazzy-mvsim (0.9.1-1bookworm) bookworm; urgency=high

  * Fix use of mrpt bridge to publish XYZIRT point clouds too for ROS 1
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 04 Mar 2024 23:00:00 -0000

ros-jazzy-mvsim (0.9.0-1bookworm) bookworm; urgency=high

  * Do not publish tf world->map
  * Expose do_fake_localization as ROS 2 launch file argument
  * fix build with older mrpt
  * 3D Lidar: also generate "ring" ID per point
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 01 Mar 2024 23:00:00 -0000

ros-jazzy-mvsim (0.8.3-1bookworm) bookworm; urgency=high

  * Generate ground truth trajectory files in the TUM format
  * ROS nodes: add a timeout for cmd_vel commands, so the robots stop if input messages stop
  * Add rviz_plugin_tutorials dependency for ROS1
  * Contributors: Jose Luis Blanco-Claraco, Michael Grupp

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 04 Dec 2023 23:00:00 -0000

ros-jazzy-mvsim (0.8.2-1bookworm) bookworm; urgency=high

  * 3D LIDARs: Bilinear interpolation (when it makes sense) to obtain much smoother point cloud simulations
  * Add missing build dep on python3-pip.
    This was triggering errors on ROS 1 build farm dev builds.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 05 Oct 2023 22:00:00 -0000

ros-jazzy-mvsim (0.8.1-1bookworm) bookworm; urgency=high

  * Move the rawlog-generation option to the World global options instead of sensor-wise.
  * Create CITATION.cff
  * helios 32fov70 sensor.xml: Fix missing MVSIM_CURRENT_FILE_DIRECTORY tag
  * Fix crash in edge case with world file path in the current directory
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 06 Sep 2023 22:00:00 -0000

ros-jazzy-mvsim (0.8.0-1bookworm) bookworm; urgency=high

  * Recursive "include"s are now possible.
  * All vehicle and sensor definitions are now exposed in public directory 'definitions' and are safe to be included from user worlds
  * ROS warehouse demos: fix wrong camera topicn ame in rviz
  * Add missing ROS 2 launch demo for greenhouse world
  * Add new variable: MVSIM_CURRENT_FILE_DIRECTORY
  * BUGFIX: In parseVars() in the XML parser
  * Debugging feature: MVSIM_VERBOSE_PARSE now also traces <variable> definitions
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 01 Sep 2023 22:00:00 -0000

ros-jazzy-mvsim (0.7.4-1bookworm) bookworm; urgency=high

  * Add new LIDAR 3D models: Helios 32.
  * Removed LIDAR3D fbo_nrows parameter, automatically computed now from geometry solutions.
  * More optimal simulation of asymmetric 3D lidars.
  * Progress with RTD documentation.
  * Add proper bibliography; fix all docs warnings
  * ROS 2 warehouse demo: show 2D lidar in RVIZ too; add headless launch argument
  * New GUI editor feature: move sensor poses
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 29 Aug 2023 22:00:00 -0000

ros-jazzy-mvsim (0.7.3-1bookworm) bookworm; urgency=high

  * Update python module install method to pip (fixes deprecation)
  * Improved docs
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 22 Aug 2023 22:00:00 -0000

ros-jazzy-mvsim (0.7.2-1bookworm) bookworm; urgency=high

  * Joystick driving: added support for direct driving the vehicles with a joystick.
  * Fix rviz for ros1 demo
  * Better docs and more modern RST style.
  * More shadow tuning parameters.
  * IMU sensor now reads real vehicle linear acceleration.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 11 Aug 2023 22:00:00 -0000

ros-jazzy-mvsim (0.7.1-1bookworm) bookworm; urgency=high

  * ROS node: fix potential race condition creating publisher for highrate sensors
  * Add IMU sensors
  * New property <visual enabled='true|false'>
  * lidar2d xml: add option "sensor_custom_visual"
  * FIX: Crash if launching an empty world
  * Trigger an error if using use_sim_time to avoid mistakes
  * Add new (fake) controller: twist_ideal
  * ROS 1: don't enforce /use_sim_time
  * Add ROS 2 launch for the 2-robot demo
  * Fix cmake leftover
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 10 Jun 2023 22:00:00 -0000

ros-jazzy-mvsim (0.7.0-1bookworm) bookworm; urgency=high

  * Automatic detection of collision shapes
  * Add turtlebot world demo
  * Rely on custom build of Box2D to increase the maximum polygon vertices count (8 to 12).
  * fix inconsistent use_sim_time value for ROS 2 (it should be false)
  * Expose shadow rendering parameters in the XML world file
  * Abort simulation on exceptions in headless mode too
  * ROS 1 and 2 nodes now quit cleanly and quickly with SIGINT
  * Add ros2 launch for turtlebot world demo

