=== debian/control ===
Source: ros-jazzy-mvsim
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libprotobuf-dev, libprotoc-dev, libzmq3-dev, protobuf-compiler, pybind11-dev, python3-pip, python3-protobuf, python3-venv, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gmock, ros-jazzy-ament-cmake-gtest, ros-jazzy-ament-cmake-xmllint, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-mrpt2, ros-jazzy-nav-msgs, ros-jazzy-ros-environment, ros-jazzy-sensor-msgs, ros-jazzy-tf2, ros-jazzy-tf2-geometry-msgs, ros-jazzy-visualization-msgs, unzip, wget, ros-jazzy-ros-workspace
Homepage: https://wiki.ros.org/mvsim
Standards-Version: 3.9.2

Package: ros-jazzy-mvsim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libprotobuf-dev, libprotoc-dev, libzmq3-dev, protobuf-compiler, pybind11-dev, python3-pip, python3-protobuf, python3-venv, ros-jazzy-mrpt2, ros-jazzy-nav-msgs, ros-jazzy-ros2launch, ros-jazzy-sensor-msgs, ros-jazzy-tf2, ros-jazzy-tf2-geometry-msgs, ros-jazzy-visualization-msgs, unzip, wget, ros-jazzy-ros-workspace
Description: A lightweight multivehicle simulation framework.
